Quassel IRC - Feature #652

Move auto-identify before reconnect
03/31/2009 10:17 PM - yofel
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

0S: Any

Description

I'm havin an annoying problem with the auto-identify behaviour here. When my connection gets resetted the core reconnects to all
channels what takes more than 1 minute here. But some nickservs don't wait more then a minute for the identify command and
change my nick to Guestxxxx. Can the identify commands please be sent before rejoining the channels?

History

#1 - 07/20/2009 12:38 AM - mcuelenaere

I'm having a similar issue: when connecting to Freenode, Quassel joins the channels before I'm identified; so my IRC cloak isn't activated yet and my
IP address etc is seen by others.

#2 - 11/18/2009 10:18 PM - Sputnick

- Status changed from New to Confirmed

Well, the actual problem is that NickServ's reply arrives too late. There is no portable way to avoid this currently (as the various nick services are
network-dependent, we don't feel like hardcoding a wait for a certain reply etc). Maybe | find a nice way to allow a configurable delay though.

For the time being, Freenode supports setting your nickserv password as server password, in which case you'll be already identified when you go
online. That's at least a workaround for now.

#3 - 11/19/2009 09:05 AM - mcuelenaere
Sputnick wrote:
For the time being, Freenode supports setting your nickserv password as server password, in which case you'll be already identified when you

go online. That's at least a workaround for now.

Ok, thanks; the workaround works.
